> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/automations/create-removed-subscriber/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Remove subscriber from workflow POST https://api.mailchimp.com/3.0/automations/{workflow_id}/removed-subscribers Content-Type: application/json Remove a subscriber from a specific classic automation workflow. You can remove a subscriber at any point in an automation workflow, regardless of how many emails they've been sent from that workflow. Once they're removed, they can never be added back to the same workflow. Reference: https://mailchimp.com/developer/marketing/api/automations/create-removed-subscriber ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `workflow_id` (string, required) — The unique id for the Automation workflow. ### Body (application/json) This endpoint expects an object. - `email_address` (string, required) — The list member's email address. ## Response ### 200 - `_links` (list of list of SubscriberRemovedFromAutomationWorkflowLinksItemsItems, optional) — A list of link types and descriptions for the API schema documents. - `email_address` (string, optional) — The list member's email address. - `id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address. - `list_id` (string, optional) — A string that uniquely identifies a list. - `workflow_id` (string, optional) — A string that uniquely identifies an Automation workflow. ## Types ### SubscriberRemovedFromAutomationWorkflowLinksItemsItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Request** ```json { "email_address": "string" } ``` **Response** ```json { "_links": [ [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ] ], "email_address": "string", "id": "string", "list_id": "string", "workflow_id": "string" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers" payload = { "email_address": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"email_address":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers" payload := strings.NewReader("{\n \"email_address\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"email_address\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"email_address\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers', [ 'body' => '{ "email_address": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"email_address\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["email_address": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/automations/workflow_id/removed-subscribers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.